Page MenuHomePhabricator

create protocols and documentation for various civicrm database backup/restore/failover scenarios
Closed, ResolvedPublic4 Story Points

Description

When we add a log_civicrm database to civicrm, which is populated by a big collection of triggers and synchronous with civicrm--we add a lot of complexity to backup/restore/replication/failover.

For example, when creating backups it becomes important that civicrm and log_civicrm are dumped at the same binlog position or they become out of sync.

Also we need to be careful about when and where triggers are configured.

The gist of this task is to go through all imaginable scenarios, and create and document procedures to handle each case.

Event Timeline

Jgreen created this task.Apr 26 2016, 12:03 AM

These are the notes from our discussion https://collab.wikimedia.org/wiki/Checklists_for_maintenance_%26_Recovery

Anything to add here? Close this - or hold it open until after we enable logging?

DStrine closed this task as Resolved.May 11 2016, 9:11 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:50 PM